Skip to main content
POST
/
ai
/
v1
/
kallm
/
paywall
/
related
Paywall related endpoint
curl --request POST \
  --url https://platform.ai.gloo.com/ai/v1/kallm/paywall/related \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "request": {
    "producer_id": "<string>"
  },
  "request_body": {
    "collection": "<string>",
    "tenant": "<string>"
  }
}
'
import requests

url = "https://platform.ai.gloo.com/ai/v1/kallm/paywall/related"

payload = {
"request": { "producer_id": "<string>" },
"request_body": {
"collection": "<string>",
"tenant": "<string>"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request: {producer_id: '<string>'},
request_body: {collection: '<string>', tenant: '<string>'}
})
};

fetch('https://platform.ai.gloo.com/ai/v1/kallm/paywall/related', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "ai_paywall_summary": "<string>",
  "ai_why_read": "<string>",
  "bullet_points": [
    "<string>"
  ],
  "related_articles": [
    {}
  ]
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}
Deprecated Endpoint: This endpoint is deprecated and no longer supported.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
request
GetRelatedArticlesRequest · object
required
request_body
SearchFilters · object
required

Response

Successful Response

ai_paywall_summary
string
required

Summary of the article

ai_why_read
string
required

Why this article is worth reading

bullet_points
string[]
required

Key points from the article

Related articles